class Route
{
	railfinder = null;
	roadfinder = null;
	waterfinder = null;
	serv = null;

	constructor(ser)
	{
		assert(serv instanceof Services);
		railfinder = null;
		roadfinder = null;
		waterfinder = null;
	}

	function CheckRoad(from, to, track)
	{
	}

	function FindRoad(from, to, track)
	{
	}

	function CheckRail(from, to, track)
	{
	}

	function FindRail(from, to, track)
	{
		AILog.Info("Rail Path Finding");
		railfinder = RailPF();
		local path = false;
		local ignored_tiles = [];

		local tile_cost = 20;
		railfinder.cost.tile = 0.5 * tile_cost;
		//railfinder.cost.max_cost = distance * tile_cost * 10;
		//railfinder.cost.no_existing_rail = 2 * tile_cost;
		railfinder.cost.diagonal_tile =  0.4 * tile_cost;
		railfinder.cost.turn = 4 * tile_cost;
		railfinder.cost.slope =  4 * tile_cost;
		railfinder.cost.bridge_per_tile = 8 * tile_cost;
		railfinder.cost.tunnel_per_tile = 6 * tile_cost;
		railfinder.cost.coast = 8 * tile_cost;
		railfinder.cost.crossing = 24 * tile_cost;
		//railfinder.cost.NonFreeTile = 5 * tile_cost; //un implemented custom cost huh?
		railfinder.cost.allow_demolition = true;
		railfinder.cost.demolition = 24 * tile_cost;
		railfinder.cost.max_bridge_length = 50;
		railfinder.cost.max_tunnel_length = 50;
		railfinder.cost.estimate_multiplier = 2;
		//railfinder.RegisterCostCallback(CheckBridge); // un implemented cost call back
		if (is_finding) {
			ignored_tiles = Tiles.ToIgnore();
			if (number != 0)  foreach (idx, val in this._service.IgnorePath) ignored_tiles.push(idx);
		} else {
			/* if we are only check is it connected, do bread first search */
			railfinder.cost.estimate_multiplier = 0;
			//railfinder.cost.no_existing_road = railfinder.cost.max_cost;
			return false;
		}
		local distance = 0, dist = 0, cx = 0, cy = 0;
		local scorex = BinaryHeap(), scorey = BinaryHeap();
		try {
			distance = AIMap.DistanceManhattan(_from.top()[0], _to.top()[0]);
			//Debug.Sign(_from.top()[0], "from");
			//Debug.Sign(_to.top()[0],"to");
			railfinder.InitializePath(_from, _to, ignored_tiles);
		} catch (distance) {
			AILog.Warning("source:" + _from.len());
			AILog.Warning("dest:" + _to.len());
			return false;
		}

		local c =   200;
		//local d = max(((1000 - distance) / 1000).tointeger(), 2);
		while (path == false && c-- > 0) {
			AIController.Sleep(1);
			path  = railfinder.FindPath(distance);
			if (c % 15 == 0) this._mother._commander.Evaluate();
		}
		result = Debug.ResultOf("Path " + txt + " stopped at "+ c, (path != null && path != false));
		return result;
	}

	function CheckWater(from, to)
	{
	}

	function FindWater(from, to)
	{
	}
}